%if 0%{?fedora} > 12
%global with_python3 1
%endif

Name:           python-transaction
Version:        1.4.1
Release:        1%{?dist}
Summary:        Transaction management for Python

Group:          Development/Languages
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/transaction
Source0:        http://pypi.python.org/packages/source/t/transaction/transaction-%{version}.zip

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-zope-interface
BuildRequires:  python-nose
BuildRequires:  python-setuptools

Requires:       python-zope-interface

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-zope-interface

Requires:       python3-zope-interface
%endif


%description
This package contains a generic transaction implementation for Python. It is
mainly used by the ZODB, though.

%if 0%{?with_python3}
%package -n python3-transaction
Summary:        Transaction management for Python 3
Group:          Development/Languages

%description -n python3-transaction
This package contains a generic transaction implementation for Python. It is
mainly used by the ZODB, though.
%endif


%prep
%setup -q -n transaction-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%{__python} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif


%install
%{__python} setup.py install --skip-build --root=%{buildroot}
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd
%endif


%check
PYTHONPATH=$(pwd) %{__python} setup.py test
%if 0%{?with_python3}
pushd %{py3dir}
PYTHONPATH=$(pwd) %{__python3} setup.py test
popd
%endif


%files
%doc README.rst LICENSE.txt COPYRIGHT.txt
%{python_sitelib}/transaction/
%{python_sitelib}/*.egg-info


%if 0%{?with_python3}
%files -n python3-transaction
%doc README.rst LICENSE.txt COPYRIGHT.txt
%{python3_sitelib}/transaction/
%{python3_sitelib}/*.egg-info
%endif


%changelog
* Thu Apr 11 2013 Luke Macken <lmacken@redhat.com> - 1.4.1-1
- Update to 1.4.1 (#634901)
- Build a python3 subpackage
- Remove python-transaction-1.1.1-context-manager.patch
- Modernize the spec

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Aug 26 2011 Nils Philippsen <nils@redhat.com> - 1.1.1-3
- fix content manager interface

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 30 2010 Luke Macken <lmacken@redhat.com> - 1.1.1-1
- Update to 1.1.1
- Run the test suite

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jun 10 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.1.0-1
- Update to upstream bugfix 1.1.0

* Thu Jan 28 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0.0-2
- Correction to how the setuptools vs setuptools-devel BR

* Thu Jan 28 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0.0-1
- Update to 1.0 final.  Few fixes for tests and build/install cleanliness.
  No code changes.
- Conditionalize portions of the spec that are only needed for older distro releases.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.5.a1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.4.a1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Luke Macken <lmacken@redhat.com> - 1.0-0.3.a1
- Fix the license tag

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0-0.2.a1
- Rebuild for Python 2.6

* Tue Oct 21 2008 Luke Macken <lmacken@redhat.com> - 1.0-0.1.a2
- Initial package
